<div style="margin-top: 20px;">
    <h5>
       <span jhiTranslate="mpmApp.position.home.title">Positions</span>
    </h5>
    <p-dataTable
        [value]="positions"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        dataKey="idPosition"
        expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item" *jhiHasAnyAuthority="['ROLE_ADMIN']">
                    <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['position-new'] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span>
                    </a>
                </li>
            </ul>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.position.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                    <!-- <button type="button" class="input-group-addon flat-style-button" style="margin-left: 50px;"
                        [routerLink]="['/', { outlets: { popup: ['position-new'] } }]">
                        <span class="fa fa-plus"></span>
                    </button> -->
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.position.internal'|translate}}" [style]="{'width': '200px', 'text-align': 'left'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.internalId">
                    <a [routerLink]="['../internal', rowData.internalId  ]" >{{rowData.internalName}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.position.positionType'|translate}}" [style]="{'width': '200px', 'text-align': 'left'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.positionTypeId">
                    <a [routerLink]="['../position-type', rowData.positionTypeId  ]" >{{rowData.positionTypeDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.position.sequenceNumber'|translate}}" [style]="{'width': '50px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.sequenceNumber | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.position.description'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.description}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.position.owner'|translate}}" [style]="{'width': '150px', 'text-align': 'left'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.ownerId">
                    <a [routerLink]="['../user-mediator', rowData.ownerId  ]" >{{rowData.ownerName}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                        [routerLink]="['/', { outlets: { popup: 'position/'+ rowData.idPosition + '/edit'} }]"
                        replaceUrl="true"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        (click)="delete(rowData.idPosition)"
                        icon="fa-remove"
                        class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>